package com.jianshui.invoiceall.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 金四-用户登记对象 invoice_all_yhdj
 *
 * @author jianshui
 * @date 2022-12-13
 */
public class InvoiceAllYhdj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 办税人员姓名(税局实名认证的人员) */
    @Excel(name = "办税人员姓名(税局实名认证的人员)")
    private String bsryxm;

    /** 登录身份(1:财务负责人,2:法定代表人,3:办税人,4:购票员,5:普通管理员,99:其他) 备注:如果选择99|其他,则办税人员名称、手机号码、身份证件号码.可以不传 */
    @Excel(name = "登录身份(1:财务负责人,2:法定代表人,3:办税人,4:购票员,5:普通管理员,99:其他) 备注:如果选择99|其他,则办税人员名称、手机号码、身份证件号码.可以不传")
    private String dlsf;

    /** 办税人员登录密码 */
    @Excel(name = "办税人员登录密码")
    private String dlsfmm;

    /** 登录方式(参考码表) */
    @Excel(name = "登录方式(参考码表)")
    private String dlfs;

    /** 登录密码 */
    @Excel(name = "登录密码")
    private String dlmm;

    /** 登录账号 */
    @Excel(name = "登录账号")
    private String dlzh;

    /** 纳税人名称 */
    @Excel(name = "纳税人名称")
    private String nsrmc;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String nsrsbh;

    /** 办税人员身份证件号码(税局实名认证的人员) */
    @Excel(name = "办税人员身份证件号码(税局实名认证的人员)")
    private String bsrysfzjhm;

    /** 办税人员手机号码(税局实名认证的人员) */
    @Excel(name = "办税人员手机号码(税局实名认证的人员)")
    private String bsrysjhm;

    /** 中间号码 */
    @Excel(name = "中间号码")
    private String zjh;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBsryxm(String bsryxm)
    {
        this.bsryxm = bsryxm;
    }

    public String getBsryxm()
    {
        return bsryxm;
    }
    public void setDlsf(String dlsf)
    {
        this.dlsf = dlsf;
    }

    public String getDlsf()
    {
        return dlsf;
    }
    public void setDlsfmm(String dlsfmm)
    {
        this.dlsfmm = dlsfmm;
    }

    public String getDlsfmm()
    {
        return dlsfmm;
    }
    public void setDlfs(String dlfs)
    {
        this.dlfs = dlfs;
    }

    public String getDlfs()
    {
        return dlfs;
    }
    public void setDlmm(String dlmm)
    {
        this.dlmm = dlmm;
    }

    public String getDlmm()
    {
        return dlmm;
    }
    public void setDlzh(String dlzh)
    {
        this.dlzh = dlzh;
    }

    public String getDlzh()
    {
        return dlzh;
    }
    public void setNsrmc(String nsrmc)
    {
        this.nsrmc = nsrmc;
    }

    public String getNsrmc()
    {
        return nsrmc;
    }
    public void setNsrsbh(String nsrsbh)
    {
        this.nsrsbh = nsrsbh;
    }

    public String getNsrsbh()
    {
        return nsrsbh;
    }
    public void setBsrysfzjhm(String bsrysfzjhm)
    {
        this.bsrysfzjhm = bsrysfzjhm;
    }

    public String getBsrysfzjhm()
    {
        return bsrysfzjhm;
    }
    public void setBsrysjhm(String bsrysjhm)
    {
        this.bsrysjhm = bsrysjhm;
    }

    public String getBsrysjhm()
    {
        return bsrysjhm;
    }
    public void setZjh(String zjh)
    {
        this.zjh = zjh;
    }

    public String getZjh()
    {
        return zjh;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bsryxm", getBsryxm())
            .append("dlsf", getDlsf())
            .append("dlsfmm", getDlsfmm())
            .append("dlfs", getDlfs())
            .append("dlmm", getDlmm())
            .append("dlzh", getDlzh())
            .append("nsrmc", getNsrmc())
            .append("nsrsbh", getNsrsbh())
            .append("bsrysfzjhm", getBsrysfzjhm())
            .append("bsrysjhm", getBsrysjhm())
            .append("zjh", getZjh())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
