package com.jianshui.invoiceall.service;


import com.alibaba.fastjson.JSONObject;
import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.common.core.domain.entity.Companyservice;
import com.jianshui.invoiceall.domain.dto.InvoiceAllFileAcquisitionDTO;
import com.jianshui.invoiceall.domain.dto.InvoiceAllQueryDTO;
import com.jianshui.invoiceall.domain.dto.InvoiceAllYhdjDTO;

/**
 * 发票认证抽象类
 */
public interface IInvoiceAll {


    /**
     * 用户登记
     *
     * @return
     */
    AjaxResult registration(Companyservice companyservice, InvoiceAllYhdjDTO invoiceAllYhdjDTO);


    /**
     * 通用查询接口
     *
     * @param companyservice
     * @param invoiceAllYhdjDTO
     * @return
     */
    AjaxResult generalQuery(Companyservice companyservice, InvoiceAllQueryDTO invoiceAllYhdjDTO);


    /**
     * 全电发票文件获取
     *
     * @param companyservice
     * @param invoiceAllFileAcquisitionDTO
     * @return
     */
    AjaxResult getFileAcquisition(Companyservice companyservice, InvoiceAllFileAcquisitionDTO invoiceAllFileAcquisitionDTO);


    /**
     * 蓝字发票开具
     *
     * @param companyservice
     * @param requestBody
     * @return
     */
    AjaxResult addInvoice(Companyservice companyservice, JSONObject requestBody);

    /**
     * 获取人脸二维码
     *
     * @param companyservice
     * @param requestBody
     * @return
     */
    AjaxResult qrcode(Companyservice companyservice, JSONObject requestBody);

    /**
     * 单张发票查询
     *
     * @param companyservice
     * @param requestBody
     * @return
     */
    AjaxResult query(Companyservice companyservice, JSONObject requestBody);

    /**
     * 获取发票打印XML
     *
     * @param companyservice
     * @param requestBody
     * @return
     */
    AjaxResult getPrintXML(Companyservice companyservice, JSONObject requestBody);


    /**
     * 红字发票开具
     *
     * @param companyservice
     * @param requestBody
     * @return
     */
    AjaxResult addRedInvoice(Companyservice companyservice, JSONObject requestBody);

}
